summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2022-07-01 11:26:51 -0500
committerWilliam Hubbs <williamh@gentoo.org>2022-07-01 11:27:27 -0500
commitd1ce75f5365c87b59a5308e41115210c5951e675 (patch)
treefc84666228453486ca6424caf824537928a85f41
parentnet-misc/curl: remove older unstable versions (diff)
downloadgentoo-d1ce75f5365c87b59a5308e41115210c5951e675.tar.gz
gentoo-d1ce75f5365c87b59a5308e41115210c5951e675.tar.bz2
gentoo-d1ce75f5365c87b59a5308e41115210c5951e675.zip
app-metrics/prometheus: add 2.36.2
Bug: https://bugs.gentoo.org/844346 Signed-off-by: William Hubbs <williamh@gentoo.org>
-rw-r--r--app-metrics/prometheus/Manifest3
-rw-r--r--app-metrics/prometheus/prometheus-2.36.2.ebuild67
2 files changed, 70 insertions, 0 deletions
diff --git a/app-metrics/prometheus/Manifest b/app-metrics/prometheus/Manifest
index 8a9e048b17f..9a5edb06fad 100644
--- a/app-metrics/prometheus/Manifest
+++ b/app-metrics/prometheus/Manifest
@@ -2027,6 +2027,9 @@ DIST k8s.io%2Futils%2F@v%2Fv0.0.0-20210819203725-bdf08cb9a70a.mod 167 BLAKE2B 2a
DIST k8s.io%2Futils%2F@v%2Fv0.0.0-20210819203725-bdf08cb9a70a.zip 184880 BLAKE2B aaeb7f1d5ec4411ffc994533c17662864f4a235df7502ee0e978d29366c708166a057960f71c85164c5a659fedf8276d591cb5287c323f03d621aa3480d7cefd SHA512 d28549c6c7c2494b41664927990e59855b61bb1979adc609b76af16f73314f67a2e05855f5e61b072c32f14902bc4fd5e47577754572177a06fff84255ca6a94
DIST prometheus-2.31.1-asset.tar.xz 4578492 BLAKE2B 2719e08a3717358df14549eb40d89c8fcce84ee1a96068351d915df3a1c64c14c326398bd61f78d55c56a445e3e00168c7396e78acb6bf2d9fe62b7ad6a45ca5 SHA512 e744aaae92136178d14eea5bbd49874fc1f0505fd31357e4f19821fd442bd09ff336679f9c3a138d9a4ef12a014a917efeeacc20f76b582725b0693a77a3c760
DIST prometheus-2.31.1.tar.gz 5851482 BLAKE2B 0203a622bedcab65567ca565c7dd1cd8396c8cb481bae86e7333a7dc10b613f707a1d047c4ecbf51a8ea5052bc9135023b05e6753f3f630d6f00d389a595a8ea SHA512 ca811c0e44b6dcb6fd7631928fe5c83ea3300868891d6492b52f42f79835c41c0ad7eced94a9e67558cb30cca149f61f4b531a2b36c44fc5231aeeacc41c7ecd
+DIST prometheus-2.36.2-assets.tar.xz 44439600 BLAKE2B 13d89a26f0603c303c9a160288cb7b4f55c5856d0230019a1b0e6a6adb1a556c200defd4cccd7e54ef699c2d6893af90f395bce748882001af13977f26323f14 SHA512 9ea5b99002d08e6a61c00737cc50ca57a3233aa170ab275930546eb4786b0845cad9d92248f5e64b8d10d8a10f3497a1c497aa773e398ee6c0d4b0a636eeca4e
+DIST prometheus-2.36.2-deps.tar.xz 253575088 BLAKE2B 7e2e3d41f69002cd46caa67517c41b7249f0c43c32a6c1ca7aa835ca86dd49fa672f423f0d1f065d356e560dbbda1327093793b7b33f1477d6605af5ec930143 SHA512 7c5c3a654b09e3bf6f04be2d7957b3be191a1df260742ef1f78204307d6e6fce2ef65d65e76f7ab289812e6ac8b80f1c2a0ed51ff987dbda04ec9a0ef21335cd
+DIST prometheus-2.36.2.tar.gz 6021280 BLAKE2B 0d60ca650913a6708bd7aebcb18d3f24f6720913b90a232acf0e89e7fea255edbfb16f400a146ce53bfb49319b42873c10f853a90c6565775984a11f2cd2563c SHA512 e232d14fe97399badcccdb30d3146161597bcd5519a28e95a0f8e21ff67fe0bf7e1e7434f6fced00a0cef1f047d09f30fa56d03e9c40556d046b53d878744f4d
DIST rsc.io%2Fbinaryregexp%2F@v%2Fv0.2.0.mod 36 BLAKE2B 61110bed2b9e99e0250cf6e8b842257202c89b3462edf9368b73cab29f9dbd4dcc66c3e290a1d6329b7d62321eecc52082a8c4c0797eac743a29a8a00910a93f SHA512 db50ff677b0bdccbc1a1ad3df7c5cc76f2fcccf3ab99d08d1c2868440eb9b893fe89452f4286f7d42f2f16abf0f4acda67fe86e174dcfa730a743aafcc166774
DIST rsc.io%2Fpdf%2F@v%2Fv0.1.1.mod 18 BLAKE2B 02f32b5a77e5009f179cf1fdc9acbb977fe219698f19ef41acee8129e0de7ad93b0b39ce82ac1538c82a7cdd33776e270f0acec114716c791727b021a4d3e147 SHA512 f911a889614d9177295952c82f8b4a0942fcbb7b4fca7378c0b98a63ed0e37e1319d51905f906ad08144eb0f3f829a2ccc2af04c2147e60cc2ac1ea8d7dab16f
DIST rsc.io%2Fquote%2Fv3%2F@v%2Fv3.1.0.mod 55 BLAKE2B f1f0ba35f0ffd200ed37c06b2025c1fd436e3fd857bd525b9295c0cbcade7e1f037e3f566124a7ef428384d50525426f0d40468c967e39bac6057174710e2566 SHA512 e6357ddd7d09692c60e59e6cb80469ade8284052cdd3ea520ec4dbcb42c1cabe045c599e43cce94bec022bd82e87a554ecac42f8c917cf2ff44daff9c1a147d5
diff --git a/app-metrics/prometheus/prometheus-2.36.2.ebuild b/app-metrics/prometheus/prometheus-2.36.2.ebuild
new file mode 100644
index 00000000000..dfd4572f46e
--- /dev/null
+++ b/app-metrics/prometheus/prometheus-2.36.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module systemd
+GIT_COMMIT=d7e7b8e04b5ecdc1dd153534ba376a622b72741b
+MY_PV=v${PV/_rc/-rc.}
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus"
+SRC_URI="https://github.com/prometheus/prometheus/archive/${MY_PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz
+ https://dev.gentoo.org/~williamh/dist/${P}-assets.tar.xz"
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+
+COMMON_DEPEND="acct-group/prometheus
+ acct-user/prometheus"
+DEPEND="!app-metrics/prometheus-bin
+ ${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+BDEPEND=">=dev-util/promu-0.3.0"
+
+RESTRICT=" test"
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s/{{.Branch}}/HEAD/" \
+ -e "s/{{.Revision}}/${GIT_COMMIT}/" \
+ -e "s/{{.Version}}/${PV}/" \
+ .promu.yml || die
+ cp -a -n "${WORKDIR}"/web/ui web || die
+}
+
+src_compile() {
+ emake PROMU=${EPREFIX}/usr/bin/promu common-build plugins
+}
+
+src_install() {
+ dobin prometheus promtool
+ dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+ insinto /usr/share/prometheus
+ doins -r console_libraries consoles
+ insinto /etc/prometheus
+ doins documentation/examples/prometheus.yml
+ dosym -r /usr/share/prometheus/console_libraries /etc/prometheus/console_libraries
+ dosym -r /usr/share/prometheus/consoles /etc/prometheus/consoles
+
+ systemd_dounit "${FILESDIR}"/prometheus.service
+ newinitd "${FILESDIR}"/prometheus.initd prometheus
+ newconfd "${FILESDIR}"/prometheus.confd prometheus
+ keepdir /var/log/prometheus /var/lib/prometheus
+ fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}
+
+pkg_postinst() {
+ if has_version '<net-analyzer/prometheus-2.0.0_rc0'; then
+ ewarn "Old prometheus 1.x TSDB won't be converted to the new prometheus 2.0 format"
+ ewarn "Be aware that the old data currently cannot be accessed with prometheus 2.0"
+ ewarn "This release requires a clean storage directory and is not compatible with"
+ ewarn "files created by previous beta releases"
+ fi
+}